WordPress.org

Support

Support » Plugins and Hacks » [Plugin: BP Group Management] Bug or conflict error on latest version?

[Plugin: BP Group Management] Bug or conflict error on latest version?

  • WPChina

    @wordpresschina

    I just upgraded to Version 0.5.1 and when I vist the “Members” of a group on this link ( wp-admin/network/admin.php?page=bp-group-management&action=edit&id=10 ), I have this error message under each member’s name:

    Warning: array_key_exists() [function.array-key-exists]: The second argument should be either an array or an object in /var/www/websitename/data/www/websitename.com/buddypress/wp-content/plugins/bp-group-hierarchy/bp-group-hierarchy-classes.php on line 283

    Is that conflict with that other plugin that can easily be fixed?

Viewing 11 replies - 1 through 11 (of 11 total)
  • Yes i get the problem with 0.5.1.

    After I upgraded I no longer see members in the right hand column so it’s impossible to add new members to a group.

    Have reverted back to an old version and this fixes it.

    WPChina

    @wordpresschina

    thanks for your update~~ I’ve posted a few things over the past year about some of this developer’s plugins but I have never gotten a response 🙁 He makes really cool, useful plugins for BP but these posts do not seem to make an impact.

    Here arwe the older plugin versions. Are you back to 0.5 or another version?
    http://wordpress.org/extend/plugins/bp-group-management/download/

    Am I “this developer”? 🙂

    The nature of this error makes me think that it’s a problem with bp-group-hierarchy, not with bp-group-management. Have you tried disabling the hierarchy plugin to see if the problem persists?

    Hi Boone,

    I don’t have the group-hierachy plugin installed but have still this problem.

    Jamie

    Thanks, Jamie. Can you define “this problem”? A few different ones have been described in the course of this thread.

    WPChina

    @wordpresschina

    Ask and you shall receive! 🙂 I use your plugins and love your work.

    I did disable bp-group-hierarchy and that specific error did go away, yes. So you are correct there are conflicts there. However, and don’t take this the wrong way, bp-group-hierarchy works very well in all its ways, but I still have some underlying problems with bp-group-management that make me think the problem can be solved on the bp-group-management side…

    For example, regardless of whether bp-group-hierarchy is activated or not, on bp-group-management’s “Group Management Settings” located here wp-admin/network/admin.php?page=bp-group-management&action=settings I get this error when I try to save the settings for the members and group numbers to display:

    Not Found
    The requested URL /bp/wp-admin/network/options.php was not found on this server.

    I can send you more details about these if needed. many thanks~~~

    Hi Boone,

    Here is a screenshot of the info that vanishes once the latest version is updated. Also the list is not quite alphabetical – not a major problem 🙂

    Jamie

    > The requested URL /bp/wp-admin/network/options.php was not found on this server.

    The problem here is that the WP settings API does not work with the post-3.1 Network Admin. It’s very annoying. At some point I will try to find time to rewrite things so that it works properly on multisite.

    Jamie – The alphabetical thing is probably because alphabetization happens by username, not by display name. (Just guessing, I would have to look.) I will try to recreate your disappearing-list problem on my install. Can you give me details about your own environment? (WP, BP versions)

    hi guys,

    i”ve got a similar problem. no error codes but no members in right hand column.

    I’m going to roll back a version and see if it fixes.

    rog

    It looks like the new (0.5.1) query in bp_group_management_add_member_list only works if multisite is enabled. That could explain the “no members in right hand column” issue.

Viewing 11 replies - 1 through 11 (of 11 total)
  • The topic ‘[Plugin: BP Group Management] Bug or conflict error on latest version?’ is closed to new replies.
Skip to toolbar